<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2008 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Форма добаления/редактирования дополнительных свойств групп товаров.
 * 
 * Файл: /admin/shop/action/form_edit_add_property_for_group.php
 * 
 * @author Hostmake LLC
 * @version 5.2
 */
$edit_list_of_properties = $id;

$form_params = array();
$form_params['title'] = $edit_list_of_properties==0?$GLOBALS['MSG_shops']['form_add_property_for_group']:$GLOBALS['MSG_shops']['form_edit_property_for_group'];
$form_params['form_attribs']['method'] = 'post';
$form_params['form_attribs']['action'] = '/admin/shop/shop.php';
$form_params['form_attribs']['name'] = 'EditAddGroupProperty';

$admin_forms_fields = new admin_forms_fields();

$shop_shops_id = to_int($_REQUEST['shop_shops_id']);

$shop_groups_parent_id = to_int($_REQUEST['shop_groups_parent_id']);

$shop = & singleton('shop');

$data = & singleton('DateClass');

$DataBase = & singleton('DataBase');

$row = $shop->GetShop($shop_shops_id);

$ext_shop_groups_parent_id = to_int($_REQUEST['ext_shop_groups_parent_id']);

$path_array = $shop->GetShopPathArray($shop_groups_parent_id, false);

// Преобразуем идентификаторы групп в ссылки на группы.
$new_path_array = array();
$new_path_array[0]['name'] = $GLOBALS['MSG_shops']['header_admin__list_forms'];
$new_path_array[0]['link'] = $admin_forms_fields->GetHtmlCallDoLoadAjax('/admin/shop/shop.php', '', 54, 'load_data');
$new_path_array[0]['onclick'] = $admin_forms_fields->GetOnClickCallDoLoadAjax('/admin/shop/shop.php', '', 54, 'load_data');

$new_path_array[1]['name'] = $row['shop_shops_name'];
$new_path_array[1]['link'] = $admin_forms_fields->GetHtmlCallDoLoadAjax('/admin/shop/shop.php', "&shop_groups_parent_id=0&shop_shops_id=$shop_shops_id", 65, 'load_data');
$new_path_array[1]['onclick'] = $admin_forms_fields->GetOnClickCallDoLoadAjax('/admin/shop/shop.php', "&shop_groups_parent_id=0&shop_shops_id=$shop_shops_id", 65, 'load_data');

if ($path_array)
{
	foreach ($path_array as $key => $value)
	{
		$new_path_array[] = array (
		'link' => $admin_forms_fields->GetHtmlCallDoLoadAjax('/admin/shop/shop.php', "&shop_groups_parent_id=$key&shop_shops_id=$shop_shops_id", 65, 'load_data'),
		'onclick' => $admin_forms_fields->GetOnClickCallDoLoadAjax('/admin/shop/shop.php', "&shop_groups_parent_id=$key&shop_shops_id=$shop_shops_id", 65, 'load_data'),
		'name' => $value);
	}
}
$new_path_array[] = array("name" => $GLOBALS['MSG_shops']['list_of_property_for_group'],
"link" => $admin_forms_fields->GetHtmlCallDoLoadAjax('/admin/shop/shop.php', "&shop_shops_id=$shop_shops_id&shop_groups_parent_id=$shop_groups_parent_id", 135, 'load_data'),
"onclick" => $admin_forms_fields->GetOnClickCallDoLoadAjax('/admin/shop/shop.php', "&shop_shops_id=$shop_shops_id&shop_groups_parent_id=$shop_groups_parent_id", 135, 'load_data')
);


// Генерируем дополнительные хлебные крошки
$path_array = $shop->GetAdditionalPropertyDirPathArray($ext_shop_groups_parent_id);

if (count($path_array) > 0)
{
	foreach ($path_array as $key => $value)
	{
		$new_path_array[] = array (
		'link' => $admin_forms_fields->GetHtmlCallDoLoadAjax('/admin/shop/shop.php', "&shop_groups_parent_id=$shop_groups_parent_id&shop_shops_id=$shop_shops_id&ext_shop_groups_parent_id=$key", 135, 'load_data'),
		'onclick' => $admin_forms_fields->GetOnClickCallDoLoadAjax('/admin/shop/shop.php', "&shop_groups_parent_id=$shop_groups_parent_id&shop_shops_id=$shop_shops_id&ext_shop_groups_parent_id=$key", 135, 'load_data'),
		'name' => $value);
	}
}

$form_params['path_array'] = $new_path_array;

$admin_forms_fields->admin_forms_fields($form_params);

// Редактировние налога
if ($edit_list_of_properties)
{
	$result = $shop->GetPropretyOfGroup($edit_list_of_properties);

	$shop_shops_id = to_int($result['shop_shops_id']);

	$shop_mesures_id = to_int($result['shop_mesures_id']);

	$lists_id = to_int($result['lists_id']);

	$shop_list_of_properties_name = htmlspecialchars($result['shop_properties_group_name']);
//echo '$shop_list_of_properties_name = '.$shop_list_of_properties_name.'<br>';
	$list_of_properties_lists_id = to_int($result['lists_id']);

	$shop_list_of_properties_xml_name = htmlspecialchars($result['shop_properties_group_xml_name']);

	$shop_list_of_properties_type = to_int($result['shop_properties_group_type']);

	$list_of_properties_mesures = to_int($result['shop_mesures_id']);

	$shop_list_of_properties_default_value = to_str($result['shop_properties_group_default_value']);

	// не равен типу дата или датавремя
	if ($shop_list_of_properties_type != 5 && $shop_list_of_properties_type != 6)
	{
		$list_of_properties_default_value = to_str($result['shop_properties_group_default_value']);
	}
	// тип - дата
	elseif($shop_list_of_properties_type == 5)
	{
		$list_of_properties_default_value = $data->date_format($result['shop_properties_group_default_value']);
	}
	// тип - датавремя
	elseif ($shop_list_of_properties_type == 6)
	{
		$list_of_properties_default_value = $data->datetime_format($result['shop_properties_group_default_value']);
	}


	$shop_list_of_properties_order = to_int($result['shop_properties_group_order']);


	$users_id = to_int($result['users_id']);
	
	$shop_properties_groups_dir_id = $result['shop_properties_groups_dir_id'];
	
//	echo '$shop_properties_groups_dir_id = '.$shop_properties_groups_dir_id.'<br>';
}
else
{
	$shop_mesures_id = 0;

	$lists_id = 0;

	$list_of_properties_lists_id = 0;

	$list_of_properties_mesures = 0;

	$list_of_properties_default_value = '';

	$shop_list_of_properties_name = '';

	$shop_list_of_properties_xml_name = '';

	$shop_list_of_properties_type = 0;

	$shop_list_of_properties_default_value = '';

	$shop_list_of_properties_order = 0;

	$users_id = false;
	
	$shop_properties_groups_dir_id = $ext_shop_groups_parent_id;
}
// Параметры.
$tab_id = $admin_forms_fields->AddTab($GLOBALS['MSG_shops']['tab']);


// Название
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'list_of_properties_name';
$param['caption'] = $GLOBALS['MSG_shops']['list_of_properties_add_form_name'];
$param['type'] = 0; // Поле ввода.
$param['value'] = $shop_list_of_properties_name;
$param['attributes']['class'] = 'large';
$param['format']['minlen']['value'] = 1;
$param['format']['maxlen']['value'] = 255;
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);


$groups_dir_arr = $shop->GetDelimitedGroupsDirExtProperty(0, $shop_shops_id, '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;');

$count = count($groups_dir_arr);

$array = array(0 => ' ... ');

for ($i = 0; $i < $count; $i++)
{
	$array[$groups_dir_arr[$i]['shop_properties_groups_dir_id']] = $groups_dir_arr[$i]['separator'].$groups_dir_arr[$i]['shop_properties_groups_dir_name'];
}

// Родительский раздел
$params = array();
$params['tab_id'] = $tab_id;
$params['name'] = 'shop_properties_groups_dir_id';
$params['caption'] = $GLOBALS['MSG_shops']['shop_properties_groups_dir_parent_id'];
$params['type'] = 2; // Выпадающий список.
$params['value'] = $shop_properties_groups_dir_id;
$params['items'] = $array;
$admin_forms_fields->AddField($params);
// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);


// Наименование XML-тега
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'list_of_properties_xml_name';
$param['caption'] = $GLOBALS['MSG_shops']['list_of_properties_add_form_xml_name'];
$param['type'] = 0; // Поле ввода.
$param['value'] = $shop_list_of_properties_xml_name;
$param['format']['lib']['value'] = 'latinBase';
$param['format']['minlen']['value'] = 1;
$param['format']['maxlen']['value'] = 255;

$param['format']['lib']['message'] = 'Указаны недопустимые символы (разрешенный диапазон символов a-z, A-Z, 0-9 а также символ "_")';
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Порядок сортировки
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'list_of_properties_order';
$param['caption'] = $GLOBALS['MSG_shops']['list_of_properties_add_form_order'];
$param['type'] = 0; // Поле ввода.
$param['value'] = $shop_list_of_properties_order;
$param['format']['lib']['value'] = 'integer';
$param['format']['lib']['message'] = 'Указаны недопустимые символы (разрешенный диапазон символов 0-9)';
$param['format']['minlen']['value'] = 1;
$param['format']['maxlen']['value'] = 6;
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

$arr = array();
for ($i = 0; $i <= 5; $i++)
{
	switch ($i)
	{
		case 0:
			{
				$show_kind_name = $GLOBALS['MSG_shops']['properties_show_kind_none'];
				break;
			}
		case 1:
			{
				$show_kind_name = $GLOBALS['MSG_shops']['properties_show_kind_text'];
				break;
			}
		case 2:
			{
				$show_kind_name = $GLOBALS['MSG_shops']['properties_show_kind_list'];
				break;
			}
		case 3:
			{
				$show_kind_name = $GLOBALS['MSG_shops']['properties_show_kind_radio'];
				break;
			}
		case 4:
			{
				$show_kind_name = $GLOBALS['MSG_shops']['properties_show_kind_checkbox'];
				break;
			}
		case 5:
			{
				$show_kind_name = $GLOBALS['MSG_shops']['properties_show_kind_checkbox_one'];
				break;
			}
		default:
			{
				$show_kind_name = '-';
			}
	}
	$arr[$i] = $show_kind_name;
}

// Тип
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'list_of_properties_type';
$param['caption'] = $GLOBALS['MSG_shops']['list_of_properties_add_form_type'];
$param['type'] = 2; // Выпадающий список
$param['value'] = $shop_list_of_properties_type;
$param['attributes']['onchange'] = 'javascript:ShowRowsShopGroupPropertysType(this.value)';


// Заполним массив возможных значений дополнительного свойства
/*$mas=array(
0=>$GLOBALS['MSG_shops']['list_of_properties_file'],
1=>$GLOBALS['MSG_shops']['list_of_properties_list'],
2=>$GLOBALS['MSG_shops']['big_text'],
3=>$GLOBALS['MSG_shops']['visual_edit'],
5=>$GLOBALS['MSG_shops']['date'],
6=>$GLOBALS['MSG_shops']['date_time'],
7=>$GLOBALS['MSG_shops']['checkbox']
);*/
$mas=array(
0=>$GLOBALS['MSG_shops']['list_of_properties_string'],
1=>$GLOBALS['MSG_shops']['list_of_properties_file'],
//2=>(class_exists('lists'))?$GLOBALS['MSG_shops']['list_of_properties_list']:'',
3=>$GLOBALS['MSG_shops']['big_text'],
4=>$GLOBALS['MSG_shops']['visual_edit'],
5=>$GLOBALS['MSG_shops']['date'],
6=>$GLOBALS['MSG_shops']['date_time'],
7=>$GLOBALS['MSG_shops']['checkbox']
);

if (class_exists('lists'))
{
	$mas[2] = $GLOBALS['MSG_shops']['list_of_properties_list'];
}

$items = array();

foreach ($mas as $key => $value)
{
	if ($key == 0) // Файл - строка
	{
		// Список слоев, которые необходимо скрыть при показе данного элемента списка

		if (class_exists('lists'))
		{
			$param['hide_divs'][$key] = 'list_of_properties_lists_id';
		}
		else
		{
			$param['hide_divs'][$key] = '';
		}

		// Список слоев, которые необходимо отобразить при показе данного элемента списка
		$param['show_divs'][$key] = 'list_of_properties_mesures_id,list_of_properties_default_id';
	}
	elseif ($key == 1) // Список - файл
	{
		// Список слоев, которые необходимо скрыть при показе данного элемента списка
		$param['hide_divs'][$key] = class_exists('lists') ? 'list_of_properties_lists_id,' : '' . 'list_of_properties_default_id';

		// Список слоев, которые необходимо отобразить при показе данного элемента списка
		$param['show_divs'][$key] = 'list_of_properties_mesures_id';
	}
	elseif ($key == 2) // Большое текстовое поле - список
	{
		// Список слоев, которые необходимо скрыть при показе данного элемента списка
		$param['hide_divs'][$key] = 'list_of_properties_default_id';

		// Список слоев, которые необходимо отобразить при показе данного элемента списка
		$param['show_divs'][$key] = class_exists('lists') ? 'list_of_properties_lists_id,' : '' . 'list_of_properties_mesures_id';
	}
	elseif ($key == 3) // Визуальный редактор - большое текстовое поле
	{
		// Список слоев, которые необходимо скрыть при показе данного элемента списка
		$param['hide_divs'][$key] = class_exists('lists') ? 'list_of_properties_lists_id,' : '' . 'list_of_properties_default_id';

		// Список слоев, которые необходимо отобразить при показе данного элемента списка
		$param['show_divs'][$key] = 'list_of_properties_mesures_id';
	}
	elseif ($key == 4) // Строка - визуальный редактор
	{
		// Список слоев, которые необходимо скрыть при показе данного элемента списка
		$param['hide_divs'][$key] = class_exists('lists') ? 'list_of_properties_lists_id,' : '' . 'list_of_properties_default_id';

		// Список слоев, которые необходимо отобразить при показе данного элемента списка
		$param['show_divs'][$key] = 'list_of_properties_mesures_id';
	}
	//============
	elseif ($key == 7) // Флажок
	{
		// Список слоев, которые необходимо скрыть при показе данного элемента списка
		$param['hide_divs'][$key] = class_exists('lists') ? 'list_of_properties_lists_id,' : '' . 'list_of_properties_mesures_id,date_without_time,date_with_time';

		// Список слоев, которые необходимо отобразить при показе данного элемента списка
		$param['show_divs'][$key] = 'checkbox';
	}
	elseif ($key == 5) // Дата
	{
		// Список слоев, которые необходимо скрыть при показе данного элемента списка
		$param['hide_divs'][$key] = class_exists('lists') ? 'list_of_properties_lists_id,' : '' . 'list_of_properties_mesures_id,checkbox,date_with_time';

		// Список слоев, которые необходимо отобразить при показе данного элемента списка
		$param['show_divs'][$key] = 'date_without_time';
	}
	elseif ($key == 6)// Время
	{
		// Список слоев, которые необходимо скрыть при показе данного элемента списка
		$param['hide_divs'][$key] = class_exists('lists') ? 'list_of_properties_lists_id,' : '' . 'list_of_properties_mesures_id,date_without_time,checkbox';

		// Список слоев, которые необходимо отобразить при показе данного элемента списка
		$param['show_divs'][$key] = 'date_with_time';
	}
	//===========

	$items[$key] = $value;
}

$param['items'] = $items;

$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Значение (Тип: строка)
$param = array();
$param['tab_id'] = $tab_id;
$param['div_id'] = 'list_of_properties_default_id';
$param['name'] = 'list_of_properties_default_value';
$param['caption'] = $GLOBALS['MSG_shops']['list_of_properties_add_form_default_value'];
$param['type'] = 0; // Поле ввода
$param['value'] = $list_of_properties_default_value;
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Значение (Тип: флажок)
$param = array();
$param['tab_id'] = $tab_id;
$param['div_id'] = 'checkbox';
$param['name'] = 'checkbox';
//$param['caption'] = $GLOBALS['MSG_shops']['list_of_properties_add_form_default_value'];
$param['caption'] = $GLOBALS['MSG_shops']['list_of_properties_add_checkbox_value'];
$param['type'] = 1; // Флажок
$param['value'] = $list_of_properties_default_value;
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Значение (Тип: дата)
$param = array();
$param['tab_id'] = $tab_id;
$param['div_id'] = 'date_without_time';
$param['name'] = 'date_without_time';
$param['caption'] = $GLOBALS['MSG_shops']['list_of_properties_add_form_default_value'];
$param['type'] = 10; // Дата
$param['value'] = $list_of_properties_default_value;
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Значение (Тип: дата-время)
$param = array();
$param['tab_id'] = $tab_id;
$param['div_id'] = 'date_with_time';
$param['name'] = 'date_with_time';
$param['caption'] = $GLOBALS['MSG_shops']['list_of_properties_add_form_default_value'];
$param['type'] = 11; // Дата-время
$param['value'] = $list_of_properties_default_value;
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Заполняем поле "Единица измерения"
$arr = array();
$result_mesures = $shop->GetAllMesures();
$count_mesures = 0;
if ($result_mesures)
{
	$count_mesures = mysql_num_rows($result_mesures);
}
for($i=0; $i<$count_mesures; $i++)
{
	$row = mysql_fetch_assoc($result_mesures);
	$arr[$row['shop_mesures_id']] = $row['shop_mesures_name'];
}

// Единица измерения (Тип: строка, файл, список)
$param = array();
$param['tab_id'] = $tab_id;
$param['div_id'] = 'list_of_properties_mesures_id';
$param['name'] = 'list_of_properties_mesures';
$param['caption'] = $GLOBALS['MSG_shops']['list_of_properties_mesures'];
$param['type'] = 2; // Выпадающий список
$param['value'] = $shop_mesures_id;
$param['items'] = $arr;
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

if (class_exists('lists'))
{

	// Заполняем поле "Списки"
	$arr = array();

	$count_lists = 0;


	$lists = & singleton('lists');

	/* Выбираем все списки */
	$result_lists = $lists->GetAllListsForSite(CURRENT_SITE);

	if ($result_lists)
	{
		$count_lists = mysql_num_rows($result_lists);
	}

	/* Есть хотя бы один список */
	if ($count_lists > 0)
	{
		/* В цикле выводим списки в массив */
		for ($i=0; $i<$count_lists; $i++)
		{
			$row = mysql_fetch_assoc($result_lists);
			$arr[$row['lists_id']] = $row['lists_name'];
		}
	}
	/* Нет ни одного списка */
	else
	{
		$arr[0] = 0;
	}

	// Списки (Тип: список)
	$param = array();
	$param['tab_id'] = $tab_id;
	$param['div_id'] = 'list_of_properties_lists_id';
	$param['name'] = 'list_of_properties_lists_id';
	$param['caption'] = $GLOBALS['MSG_shops']['list_of_properties_add_form_lists'];
	$param['type'] = 2; // Выпадающий список
	$param['value'] = $lists_id;
	$param['items'] = $arr;
	$admin_forms_fields->AddField($param);

	// Разделитель.
	$admin_forms_fields->AddSeparator($tab_id);

}
// передеам скрытое поле с идентификатором местоположения если он есть
if ($edit_list_of_properties)
{
	$param = array();
	$param['tab_id'] = $tab_id;
	$param['name'] = 'edit_list_of_properties';
	$param['caption'] = '';
	$param['type'] = 4; // hidden.
	$param['value'] = $edit_list_of_properties;
	$admin_forms_fields->AddField($param);
}

$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'action';
$param['caption'] = '';
$param['type'] = 4; // hidden.
$param['value'] = 'show_list_of_properties';
$admin_forms_fields->AddField($param);

$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'shop_shops_id';
$param['caption'] = '';
$param['type'] = 4; // hidden.
$param['value'] = $shop_shops_id;
$admin_forms_fields->AddField($param);

$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'shop_groups_parent_id';
$param['caption'] = '';
$param['type'] = 4; // hidden.
$param['value'] = $shop_groups_parent_id;
$admin_forms_fields->AddField($param);

// Кнопка "Сохранить".
$param = array();
$param['name'] = 'save_property_for_group';
$param['caption'] = $GLOBALS['MSG_shops']['save'];
$param['attributes']['onclick'] = "return doSendForm('{$admin_forms_fields->AAction}', '{$admin_forms_fields->AAdditionalParams}', this, ".to_int($_REQUEST['admin_forms_id']).", 'load_data', " . to_int($admin_forms_fields->form_params['current_page']) . ", " . to_int($admin_forms_fields->form_params['on_page']) . " )";
$param['attributes']['type'] = 'button';
$admin_forms_fields->AddButton($param);

// Кнопка "Применить".
$param = array();
$param['name'] = 'add_property_for_group';
$param['caption'] = $GLOBALS['MSG_shops']['apply'];
$param['attributes']['onclick'] = "return doSendForm('{$admin_forms_fields->AAction}', '{$admin_forms_fields->AAdditionalParams}', this, ".to_int($_REQUEST['admin_forms_id']).", 'load_data', " . to_int($admin_forms_fields->form_params['current_page']) . ", " . to_int($admin_forms_fields->form_params['on_page']) . " )";
$param['image'] = '/admin/images/add.gif';
$param['attributes']['type'] = 'submit';
$admin_forms_fields->AddButton($param);

$external_html = "
<script>
function ShowRowsShopGroupPropertysType(index)
		{
	
			index = index*1;
						
			document.getElementById(\"list_of_properties_default_id\").style.display =\"\" ;
			document.getElementById(\"list_of_properties_mesures_id\").style.display = \"\" ;
			".
			(class_exists('lists') ? "document.getElementById(\"list_of_properties_lists_id\").style.display = \"\" ;" : '')

			."
			document.getElementById(\"checkbox\").style.display = \"\" ;
			document.getElementById(\"date_without_time\").style.display = \"\" ;
			document.getElementById(\"date_with_time\").style.display = \"\" ;
			switch (index)
			{
				case 0: // Файл - строка
				{
					".
					(class_exists('lists') ? "document.getElementById(\"list_of_properties_lists_id\").style.display = \"none\" ;" : '')

					."
					document.getElementById(\"checkbox\").style.display = \"none\" ;
					document.getElementById(\"date_without_time\").style.display = \"none\" ;
					document.getElementById(\"date_with_time\").style.display = \"none\" ;
					break;
				}
								
				case 1: // Список - файл
				{
					" . 
					(class_exists('lists') ? "document.getElementById(\"list_of_properties_lists_id\").style.display = \"none\" ;" : '')
					. "
					document.getElementById(\"list_of_properties_default_id\").style.display = \"none\" ;
					document.getElementById(\"checkbox\").style.display = \"none\" ;
					document.getElementById(\"date_without_time\").style.display = \"none\" ;
					document.getElementById(\"date_with_time\").style.display = \"none\" ;
					break;
				}
				
				case 2: // Большое текстовое поле - список
				{
					document.getElementById(\"list_of_properties_default_id\").style.display = \"none\" ;
					document.getElementById(\"checkbox\").style.display = \"none\" ;
					document.getElementById(\"date_without_time\").style.display = \"none\" ;
					document.getElementById(\"date_with_time\").style.display = \"none\" ;
					break;
				}
				
				case 3: // Визуальный редактор - большое текстовое поле
				{
					document.getElementById(\"list_of_properties_default_id\").style.display = \"none\" ;
					" .
					(class_exists('lists') ? "document.getElementById(\"list_of_properties_lists_id\").style.display = \"none\" ;" : '')
					. "
					document.getElementById(\"checkbox\").style.display = \"none\" ;
					document.getElementById(\"date_without_time\").style.display = \"none\" ;
					document.getElementById(\"date_with_time\").style.display = \"none\" ;
					break;
				}
				
				case 4: // Строка - визуальный редактор
				{
					document.getElementById(\"list_of_properties_default_id\").style.display = \"none\" ;
					" .
					(class_exists('lists') ? "document.getElementById(\"list_of_properties_lists_id\").style.display = \"none\" ;" : '')
					. "
					document.getElementById(\"checkbox\").style.display = \"none\" ;
					document.getElementById(\"date_without_time\").style.display = \"none\" ;
					document.getElementById(\"date_with_time\").style.display = \"none\" ;
					break;
				} 
				case 5: // Дата
				{
					document.getElementById(\"checkbox\").style.display = \"none\" ;
					" .
					(class_exists('lists') ? "document.getElementById(\"list_of_properties_lists_id\").style.display = \"none\" ;" : '')
					. "
					document.getElementById(\"date_with_time\").style.display = \"none\" ;
					document.getElementById(\"list_of_properties_default_id\").style.display = \"none\" ;
					break;
				}
				case 6: // ДатаВремя
				{
					document.getElementById(\"checkbox\").style.display = \"none\" ;
					" .
					(class_exists('lists') ? "document.getElementById(\"list_of_properties_lists_id\").style.display = \"none\" ;" : '')
					. "
					document.getElementById(\"date_without_time\").style.display = \"none\" ;
					document.getElementById(\"list_of_properties_default_id\").style.display = \"none\" ;
					break;
				}
				case 7: // Флажок
				{
					document.getElementById(\"date_with_time\").style.display = \"none\" ;
					document.getElementById(\"date_without_time\").style.display = \"none\" ;
					document.getElementById(\"list_of_properties_default_id\").style.display = \"none\" ;
					" .
					(class_exists('lists') ? "document.getElementById(\"list_of_properties_lists_id\").style.display = \"none\" ;" : '')
					. "
					break;
				}
				default: // По-умолчанию отображаем файл
				{
					" .
					(class_exists('lists') ? "document.getElementById(\"list_of_properties_lists_id\").style.display = \"none\" ;" : '')
					. "
					document.getElementById(\"list_of_properties_default_id\").style.display = \"none\" ;
					break;
				}
			}
		}
		ShowRowsShopGroupPropertysType($shop_list_of_properties_type)
		</script>";

					$admin_forms_fields->SetExternalHtml($external_html);

					// Отображение формы.
					$admin_forms_fields->ShowForm();
?>